Run Playbook
Manually trigger a run for a manual-trigger playbook.
POST
/
v1
/
playbooks
/
{playbook_id}
/
run
Run Playbook
curl --request POST \
--url https://api.topo.io/v1/playbooks/{playbook_id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger_payload": {},
"dry_run": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trigger_payload: {}, dry_run: false})
};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/run"
payload = {
"trigger_payload": {},
"dry_run": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "<string>",
"status": "PENDING",
"deduplicated": true
}Manually trigger a run for a manual-trigger playbook.
Requires the
sequences:write scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the playbook.
Body
application/json
Run Playbook payload
Response
200 - application/json
Successful Response
Unique identifier of the started run.
Playbook that was run.
Temporal workflow execution ID.
Initial status of the run.
Available options:
PENDING, RUNNING, SUCCEEDED, FAILED, REJECTED, CANCELLED Whether this run deduplicated against an already active execution.
Was this page helpful?
⌘I
Run Playbook
curl --request POST \
--url https://api.topo.io/v1/playbooks/{playbook_id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger_payload": {},
"dry_run": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trigger_payload: {}, dry_run: false})
};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/run"
payload = {
"trigger_payload": {},
"dry_run": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "<string>",
"status": "PENDING",
"deduplicated": true
}